Package x2go :: Module xserver :: Class X2GoXServer

[frames] | no frames]

# Class X2GoXServer

source code

            object --+
                     |
    threading._Verbose --+
                         |
          threading.Thread --+
                             |
                            X2GoXServer

This class is responsible for starting/stopping an external XServer application.

X2Go applications require a running XServer on the client system. This class will manage/handle the XServer while your X2Go application is running.

Instance Methods

__init__(self, xserver_name, xserver_config, logger=None, loglevel=56) Initialize an XServer thread. | source code

__del__(self) Class destructor. | source code

run(self) Start this X2GoXServer thread. | source code

stop_thread(self) A call to this method will stop the XServer application and do a cleanup afterwards. | source code

Inherited from `threading.Thread`: `__repr__`, `getName`, `isAlive`, `isDaemon`, `is_alive`, `join`, `setDaemon`, `setName`, `start` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `threading.Thread`: `daemon`, `ident`, `name` Inherited from `object`: `__class__`

Method Details

### __init__(self, xserver_name, xserver_config, logger=None, loglevel=56)
(Constructor)

source code

Initialize an XServer thread.

Parameters:
  - `xserver_name` (`str`) - name of the XServer to start (refer to the xconfig file for available names)
  - `xserver_config` (`dict`) - XServer configuration node (as derived from X2GoClientXConfig.get_xserver_config()
  - `logger` (`obj`) - you can pass an X2GoLogger object to the X2GoClientXConfig constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Overrides: object.__init__

### __del__(self)
(Destructor)

source code

Class destructor. Terminate XServer process.

### run(self)

source code

Start this X2GoXServer thread. This will launch the configured XServer application.

Overrides: threading.Thread.run